#! /bin/sh


## Please define path where ReportWay installed and remove first '#' sign
#REPWAY_HOME=/usr/local/repway


if [ "x$REPWAY_HOME" = "x" ] ; then
    if [ -e @fullName@.jar ] ; then
        REPWAY_HOME=.
    else
        echo "Error: REPWAY_HOME environment variable is not defined."
        echo "Please edit $0 script."
        exit 1
    fi
fi


# try to locate java executable
# this code comes from apache ant script
if [ -z "$JAVACMD" ] ; then
  if [ -n "$JAVA_HOME"  ] ; then
    if [ -x "$JAVA_HOME/jre/sh/java" ] ; then
      # IBM's JDK on AIX uses strange locations for the executables
      JAVACMD="$JAVA_HOME/jre/sh/java"
    else
      JAVACMD="$JAVA_HOME/bin/java"
    fi
  else
    JAVACMD=`which java 2> /dev/null `
    if [ -z "$JAVACMD" ] ; then
        JAVACMD=java
    fi
  fi
fi

if [ ! -x "$JAVACMD" ] ; then
  echo "Error: JAVA_HOME is not defined correctly."
  echo "  We cannot execute $JAVACMD"
  exit 1
fi

exec "$JAVACMD" -jar $REPWAY_HOME/@fullName@.jar $@

