/*
 * EnumIteratorAdapter.java
 *
 * Created on 22  2003 ., 11:50
 */

package com.fn.repway;


import java.util.Enumeration;
import java.util.Iterator;


/**
 *
 * @author  asso
 */
public class EnumIteratorAdapter implements Enumeration {
    
    private Iterator iterator;
    
    /** Creates a new instance of EnumIteratorAdapter */
    public EnumIteratorAdapter(Iterator iterator) {
        this.iterator = iterator;
    }
    
    public boolean hasMoreElements() {
        return iterator.hasNext();
    }
    
    public Object nextElement() {
        return iterator.next();
    }
    
}
