/*
 * ValueField.java
 *
 * Created on 27  2003 ., 19:20
 */

package com.fn.repway;


import org.w3c.dom.Element;


/**
 *
 * @author  asso
 */
public class ValueField implements DataField {
    
    private String name;
    
    /** Creates a new instance of ValueField */
    public ValueField(Element tag) throws RepException {
        name = XMLUtils.getAttrib(tag, "data", (String)null);
        if (name == null)
            throw new RepException("data attribute in value field is not specified");
    }
    
    public Value getText(GenContext ctx) throws RepException {
        return ctx.getValue(name);
    }
    
}
