/*
 * Frame.java
 *
 * Created on 10  2001 ., 19:40
 */

package com.fn.repway;


import org.w3c.dom.Element;


/**
 *
 * @author  asso
 */
public class Frame extends RepElement {

    private java.awt.Color color;
    private double thickness;

    /** Creates a new instance of Frame */
    public Frame(Element tag) throws RepException {
        super(tag);
        thickness = XMLUtils.getAttrib(tag, "thickness", 0.2);
        color = XMLUtils.getColorAttrib(tag, "color", "000000");
    }

    public void generate(GenContext ctx, Band band, boolean front) {
        band.add(front, new CompFrame(left, top, width, height, thickness, color));
    }
    
}
