/*
 * Line.java
 *
 * Created on 2  2001 ., 21:32
 */

package com.fn.repway;

import org.w3c.dom.Element;


/**
 *
 * @author  asso
 * @version 
 */
public class Line extends RepElement {

    private java.awt.Color color;
    private double thickness;
    
    /** Creates new Line */
    public Line(Element tag) throws RepException {
        super(tag);
        left = XMLUtils.getAttrib(tag, "x1", left);
        top = XMLUtils.getAttrib(tag, "y1", top);
        width = XMLUtils.getAttrib(tag, "x2", left + width) - left;
        height = XMLUtils.getAttrib(tag, "y2", top + height) - top;
        thickness = XMLUtils.getAttrib(tag, "thickness", 0.2);
        color = XMLUtils.getColorAttrib(tag, "color", "000000");
    }

    public void generate(GenContext ctx, Band band, boolean front) {
        band.add(front, new CompLine(left, top, width, height, thickness, color));
    }
    
}
