/*
 * OffscreensFactory.java
 *
 * Created on 18  2003 ., 13:23
 */

package com.fn.repway;


import org.w3c.dom.Element;


/**
 *
 * @author  asso
 */
public class OffscreensFactory {

    public static OffscreenStorable load(Element tag) throws RepException {
        String name = tag.getTagName();
        if (name.equals("imagestorage"))
            return new ImageStorage(tag);
        throw new RepException("Unknown offscreen element '" + name + "'");
    }
    
}
