/*
 * PreviewApplet.java
 *
 * Created on 19  2003 ., 14:14
 */

package com.fn.repway;


import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.net.URL;


/**
 *
 * @author  asso
 */
public class PreviewApplet extends javax.swing.JApplet {

    public void init() {
        getContentPane().setLayout(new java.awt.BorderLayout());
        try {
            URL reportURL = new URL(getDocumentBase(), getParameter("report"));
            BufferedReader in = new BufferedReader(new InputStreamReader(reportURL.openStream(), "UTF-8"));
            GeneratedReport genRep = new GeneratedReport(XMLUtils.parse(in));
            in.close();
            getContentPane().add(new Preview(genRep), java.awt.BorderLayout.CENTER);
        } catch (Exception e) {
            getContentPane().add(new javax.swing.JLabel("Error loading report: " + e.getMessage()));
            e.printStackTrace();
        }
    }

    public void setSize(int width, int height) {
        super.setSize(width, height);
        validate();
    }
}
